<?php
session_start();  // Ensure user is logged in to access this page
if (empty($_SESSION['username'])) { 
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>View All Users - Admin Dashboard</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            text-align: center;
            margin-bottom: 1rem;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 2rem;
        }

        th, td {
            padding: 0.75rem;
            text-align: left;
            border: 1px solid #444;
        }

        th {
            background-color: #222;
            color: #fff;
        }

        td {
            background-color: #333;
        }

        .button-container {
            text-align: center;
            margin-top: 2rem;
        }

        button {
            background-color: #e82127;
            color: #fff;
            border: none;
            padding: 0.75rem 1.5rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        button:hover {
            background-color: #b9171f;
        }
    </style>
</head>
<body>
    <h1>Welcome Admin, <?php echo htmlspecialchars($_SESSION['username']); ?>!</h1>
    <h2>All Registered Products</h2>

     <?php
    include('mysqli_connect.php');

    $query = "SELECT * FROM products"; 
    $result = mysqli_query($dbc, $query);

    // Check for query success
    if (!$result) {
        echo "Error fetching user data: " . mysqli_error($dbc);
    } else {
        $row_cnt = mysqli_num_rows($result);
        echo "<p>Total Products: <strong>$row_cnt</strong></p>";

        // Display users in a table format
        echo "<table>";
        echo "<thead>
                <tr>
                    <th>Name</th>
                    <th>Category</th>
                    <th>Price$</th>
                    <th>Quantity</th>
                    <th>Description</th>
                </tr>
              </thead><tbody>";

        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            echo "<tr>
                    <td>" . htmlspecialchars($row['name']) . "</td>
                    <td>" . htmlspecialchars($row['category']) . "</td>
                    <td>" . htmlspecialchars($row['price']) . "</td>
                    <td>" . htmlspecialchars($row['quantity']) . "</td>
                    <td>" . htmlspecialchars($row['description']) . "</td>
                  </tr>";
        }

        echo "</tbody></table>";
    }

    // Close the database connection
    mysqli_close($dbc);
    ?>

    <!-- Back and logout buttons -->
    <div class="button-container">
        <button type="button" onclick="location.href='secret_page_admin.php'">Go Back</button>
        <br><br>
        <button type="button" onclick="location.href='logout.php'">Log Out</button>
    </div>
</body>
</html>