<?php
# Handle data from admin add a vehicle form
include('mysqli_connect.php');

// Sanitize input to prevent SQL injection
$name = mysqli_real_escape_string($dbc, trim($_POST['name']));
$description = mysqli_real_escape_string($dbc, trim($_POST['description']));
$category = mysqli_real_escape_string($dbc, $_POST['category']);
$quantity = intval($_POST['quantity']);
$price = mysqli_real_escape_string($dbc, trim($_POST['price'])); // Add price

// Check if all fields are provided
if (empty($name) || empty($description) || empty($category) || empty($quantity) || empty($price)) {
    echo "<div class='error'>Error: All fields are required. Please go back and fill out the form completely.</div>";
    echo "<button class='btn' onclick=\"location.href='secret_page_admin.php'\">Go Back</button>";
    exit();
}

// Query to insert the vehicle into the database
$query = "INSERT INTO products (name, description, category, quantity, price) 
          VALUES ('$name', '$description', '$category', $quantity, $price)";

// Run the insert query
$result = mysqli_query($dbc, $query);

// Display appropriate messages based on query result
if ($result) {
    echo "The vehicle <strong>$name</strong> has been successfully added to the database!";
} else {
    echo "Error adding the vehicle: " . mysqli_error($dbc);
}

// Close the database connection
mysqli_close($dbc);
?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vehicle Added</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            text-align: center;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            font-size: 2.5rem;
            margin-bottom: 1rem;
        }

        .message {
            font-size: 1.2rem;
            margin-bottom: 2rem;
        }

        .btn {
            background-color: #e82127;
            color: #fff;
            padding: 0.75rem 1.5rem;
            font-size: 1rem;
            cursor: pointer;
            border: none;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        .btn:hover {
            background-color: #b9171f;
        }

        .error {
            color: #ff4d4d;
            font-size: 1.2rem;
            margin-bottom: 2rem;
        }
    </style>
</head>
<body>
    <h1>Admin Dashboard</h1>
    <button class="btn" onclick="location.href='secret_page_admin.php'">Go Back</button>
</body>
</html>
