<?php
include("mysqli_connect.php");

// Sanitize and validate input
$startingprice = mysqli_real_escape_string($dbc, $_POST['starting_price']);
$endingprice = mysqli_real_escape_string($dbc, $_POST['ending_price']);

if (empty($startingprice) || empty($endingprice)) {// check if value is add 
    echo "Error: Both starting and ending price fields are required.";
    $result = false;
} elseif (!is_numeric($startingprice) || !is_numeric($endingprice)) {// to make sure its a number 
     echo "Error: Please enter valid numeric values for price range.";
    $result = false;
} else {
    // Construct the query
    $query = "SELECT * FROM `products` WHERE price >= '$startingprice' AND price <= '$endingprice'";
    $result = mysqli_query($dbc, $query);

    // Count rows
    if ($result) {
        $row_cnt = mysqli_num_rows($result);
        echo "In total, the number of retrieved rows is <strong>$row_cnt</strong>";
    } else {
        echo "Error: " . mysqli_error($dbc);
    }
}

mysqli_close($dbc);
?>

<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Results by Price Range</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            text-align: center;
            margin-bottom: 2rem;
        }

        .message {
            text-align: center;
            font-size: 1.2rem;
            margin-bottom: 2rem;
        }

        .product-list {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 1rem;
        }

        .product {
            background-color: #222;
            padding: 1rem;
            border: 2px solid #e82127;
            border-radius: 10px;
            text-align: center;
        }

        .product h3 {
            color: #e82127;
            margin-bottom: 0.5rem;
        }

        .product p {
            font-size: 0.9rem;
            color: #fff;
            margin: 0.5rem 0;
        }

        .back-button {
            text-align: center;
            margin-top: 2rem;
        }

        .back-button button {
            background-color: #e82127;
            color: #fff;
            padding: 1rem 2rem;
            font-size: 1rem;
            cursor: pointer;
            border: none;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        .back-button button:hover {
            background-color: #b9171f;
        }
    </style>
</head>
<body>
    <h1>Search Results by Price Range</h1>
    </div>

    <?php if ($result && $row_cnt > 0): ?>
        <div class="product-list">
            <?php while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)): ?>
                <div class="product">
                    <h3><?php echo htmlspecialchars($row['name']); ?></h3>
                    <p>Price: $<?php echo htmlspecialchars($row['price']); ?></p>
                    <p><?php echo htmlspecialchars($row['description']); ?></p>
                </div>
            <?php endwhile; ?>
        </div>
    <?php endif; ?>

    <div class="back-button">
        <button type="button" onclick="location.href='secret_page.php'">Go Back</button>
    </div>
</body>
</html>