<?php
# Search result page.
?>
<!doctype html> 
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Search Results - Tesla Store</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            text-align: center;
            margin-bottom: 2rem;
        }

        .wrapper {
            display: inline-block;
            margin: 1rem;
            padding: 1rem;
            border: 2px solid #e82127;
            border-radius: 10px;
            text-align: center;
            width: 300px;
            background-color: #222;
        }

        .wrapper img {
            width: 100%;
            height: 300px;
            object-fit: contain;
            border-radius: 10px;
        }

        h3 {
            color: #e82127; /* Tesla Red */
            font-size: 1.2rem;
            margin-top: 1rem;
        }

        .description {
            font-size: 0.9rem;
            color: #fff;
            margin: 0.5rem 0;
        }

        .category, .quantity {
            font-size: 0.8rem;
            color: #aaa;
        }

        .back-button {
            text-align: center;
            margin-top: 2rem;
        }

        .back-button button {
            background-color: #e82127;
            color: #fff;
            padding: 1rem 2rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        .back-button button:hover {
            background-color: #b9171f;
        }
    </style>
</head>
<body>
    <h1>Search Results - Tesla Store</h1>

    <?php
    include('mysqli_connect.php'); 
    $category = $_POST['category'];
    $query = "SELECT * FROM products WHERE category = '$category'"; 
    $result = mysqli_query($dbc, $query);

    if ($result) {
        $row_count = mysqli_num_rows($result);
        echo "<p>In total, the number of retrieved records is: <b>$row_count</b></p>";
    } else {
        echo "<p>Error fetching data: " . mysqli_error($dbc) . "</p>";
    }

    mysqli_close($dbc);

    # Present the results using a while loop.
    while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
        echo "<div class='wrapper'>";
        
        # Set the file path for the product image
        $filepath = "images/" . $row['id'] . ".jpg";

        # Check if the image exists, else set to a default image
        if (!file_exists($filepath)) {
            $filepath = 'images/model 3.jpeg';
        }

        # Display the product image
        echo "<img src=\"$filepath\" alt=\"{$row['name']}\">";
        
        # Display product details
        echo "<h3>{$row['name']}</h3>";
        echo "<p class='description'>by {$row['description']}</p>";
        echo "<p class='category'>Category: {$row['category']}</p>";
        echo "<p class='quantity'>Available: {$row['quantity']}</p>";
        echo "</div>\n";
    }
    ?>

    <div class="back-button">
        <button type="button" onclick="location.href='secret_page.php'">Go Back</button>
    </div>
</body>
</html>
