<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TESLA Login Form</title>
    <link rel="stylesheet" href="styles.css">
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black Background */
            color: #fff;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
            text-align: center;
        }

        h1 {
            font-size: 3rem;
            color: #e82127; /* Tesla Red */
            margin-bottom: 1rem;
        }

        h2 {
            font-size: 2rem;
            color: #fff;
            margin-bottom: 2rem;
        }

        form {
            background-color: #111;
            padding: 2rem;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
            width: 100%;
            max-width: 400px;
        }

        label {
            font-size: 1rem;
            color: #e82127;
            display: block;
            text-align: left;
            margin-bottom: 0.5rem;
        }

        input[type="text"],
        input[type="password"] {
            width: 100%;
            padding: 0.5rem;
            margin-bottom: 1rem;
            border: 1px solid #444;
            border-radius: 5px;
            background-color: #222;
            color: #fff;
            font-size: 1rem;
        }

        input[type="submit"] {
            background-color: #e82127;
            color: #fff;
            border: none;
            padding: 0.75rem 1.5rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
            width: 100%;
        }

        input[type="submit"]:hover {
            background-color: #b9171f; /* Darker red on hover */
        }

        .logo {
            margin-bottom: 2rem;
        }

        .logo img {
            width: 150px;
        }

        p {
            margin: 1rem 0;
        }
    </style>
</head>
<body>
    <div class="logo">
        <img src="images/tesla-logo.png" alt="Tesla Logo">
    </div>
    <h1>Welcome to TESLA</h1>
    <h2>Login</h2>
    <form action="handle_login.php" method="post">
        <p><label for="username">Username:</label> 
        <input type="text" id="username" name="username" size="20" maxlength="40" required></p>

        <p><label for="password">Password:</label> 
        <input type="password" id="password" name="password" size="20" maxlength="40" required></p>

        <p><input type="submit" name="submit" value="Login"></p>
    </form>
</body>
</html>
