<?php
# Secret page for general user
session_start();
if (empty($_SESSION['username'])) {  // Check if the user is logged in
     header("Location: login_form.php");
     exit();
} 
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Welcome to Tesla Online Store</title>
    <style>
        /* General Reset */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Roboto', sans-serif;
            background-color: #000; /* Black background */
            color: #fff;
            padding: 2rem;
        }

        h1 {
            color: #e82127; /* Tesla Red */
            text-align: center;
            margin-bottom: 1rem;
        }

        h2, h3 {
            color: #fff;
            text-align: center;
        }

        .image-container {
            text-align: center;
            margin-bottom: 2rem;
        }

        .image-container img {
            width: 300px;
            border-radius: 10px;
        }

        form {
            background-color: #111;
            padding: 2rem;
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
            width: 100%;
            max-width: 600px;
            margin: 0 auto;
            margin-bottom: 2rem;
        }

        fieldset {
            border: none;
        }

        legend {
            font-size: 1.2rem;
            color: #e82127;
            margin-bottom: 1rem;
        }

        label {
            font-size: 1rem;
            color: #fff;
            display: block;
            margin-bottom: 1rem;
        }

        select,
        input[type="text"] {
            width: 100%;
            padding: 0.5rem;
            margin-top: 0.5rem;
            border: 1px solid #444;
            border-radius: 5px;
            background-color: #222;
            color: #fff;
        }

        input[type="submit"] {
            margin-top: 1rem;
            width: 100%;
            background-color: #e82127;
            border: none;
            padding: 0.75rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        input[type="submit"]:hover {
            background-color: #b9171f;
        }

        .logout-button {
            text-align: center;
            margin-top: 2rem;
        }

        .logout-button button {
            background-color: #e82127;
            color: #fff;
            padding: 1rem 2rem;
            font-size: 1rem;
            cursor: pointer;
            border-radius: 5px;
            transition: background-color 0.3s ease;
        }

        .logout-button button:hover {
            background-color: #b9171f;
        }
    </style>
</head>
<body>
    <h1>Welcome to the Tesla Online Store, <?php echo htmlspecialchars($_SESSION['username']); ?>!</h1>
    <h2>Tesla</h2>
    <h3>You are now logged in!</h3>

    <div class="image-container">
        <img src="images/tesla-logo.png" alt="tesla logo">
    </div>

    <!-- Form to search by vehicle type -->
    <form action="handle_searchtype.php" method="post">
        <fieldset>
            <legend>Search Vehicle by Type:</legend>
            <label for="category">Select a Type:
                <select name="category" id="category" required>
                    <option value="sedan">Sedan</option>
                    <option value="SUV">SUV</option>
                    <option value="pickup truck">Pickup Truck</option>
                    <option value="Other">Other</option>
                </select>
            </label>
            <div align="center">
                <input type="submit" name="search" value="Search">
            </div>
        </fieldset>
    </form>

    <!-- Form to search by vehicle price range -->
    <form action="handle_form_searchvaluerange.php" method="post">
        <fieldset>
            <legend>Search Vehicle by Price Range:</legend>
            <label for="starting_price">Starting Price:
                <input type="text" name="starting_price" id="starting_price" placeholder="e.g., 40" required>
            </label>
            <label for="ending_price">Ending Price:
                <input type="text" name="ending_price" id="ending_price" placeholder="e.g., 85000" required>
            </label>
            <div align="center">
                <input type="submit" name="search" value="Search">
            </div>
        </fieldset>
    </form>

    <!-- Logout button -->
    <div class="logout-button">
        <button type="button" onclick="location.href='logout.php';">Log Out</button>
    </div>
</body>
</html>
